summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ml/core/core-113.24.02.ebuild')
-rw-r--r--dev-ml/core/core-113.24.02.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/dev-ml/core/core-113.24.02.ebuild b/dev-ml/core/core-113.24.02.ebuild
new file mode 100644
index 00000000000..2f4f48eadcf
--- /dev/null
+++ b/dev-ml/core/core-113.24.02.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+OASIS_BUILD_DOCS=1
+OASIS_BUILD_TESTS=1
+
+inherit eutils oasis
+
+MY_P=${P/_/\~}
+DESCRIPTION="Jane Street's alternative to the standard library"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ >=dev-ml/bin-prot-113.24.00:=
+ >=dev-ml/core_kernel-113.24.00:=
+ >=dev-ml/fieldslib-113.24.00:=
+ dev-ml/ppx_assert:=
+ dev-ml/ppx_bench:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_expect:=
+ dev-ml/ppx_inline_test:=
+ dev-ml/ppx_jane:=
+ >=dev-ml/sexplib-113.24.00:=
+ dev-ml/typerep:=
+ dev-ml/variantslib:=
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md README.md
+}